<!DOCTYPE html>
<html lang="en">
<!--  
    Easter Bunny Tracker (track.easterbunny.cc) v4.5.4
    Copyright (C) 2020  track.easterbunny.cc 

    track.easterbunny.cc is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    track.easterbunny.cc is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with track.easterbunny.cc.  If not, see <https://www.gnu.org/licenses/>. 
-->

<!--
    Source code is available at https://gitlab.com/track-easterbunny-cc/tebcc
    License is available at https://track.easterbunny.cc/license
-->

<head>
<!-- Canonical link - Should be set to track.easterbunny.cc for the countdown/pre-tracking/index, otherwise just the url -->
<link rel="canonical" href="https://track.easterbunny.cc/" />
<meta charset=utf-8>
<meta name="description" content="Track the Easter Bunny with live updates on a moving map with our Easter Bunny Tracker as he delivers baskets and eggs to homes around the world!">
<meta name="robots" content="index,follow">
<meta property="og:type" content="website">
<meta property="og:title" content="Easter Bunny Tracker">
<meta property="og:locale" content="en-US">
<meta property="og:site_name" content="track.easterbunny.cc">
<meta property="og:url" content="https://track.easterbunny.cc/">
<meta property="og:description" content="Track the Easter Bunny with live updates on a moving map with our Easter Bunny Tracker as he delivers baskets and eggs to homes around the world!">
<meta property="og:image" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta property="og:image:secure_url" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta property="og:image:alt" content="Icon of an Easter Bunny standing up straight">
<meta property="og:image:width" content="384">
<meta property="og:image:height" content="384">
<meta name="twitter:image" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta name="twitter:image:alt" content="Icon of an Easter Bunny standing up straight">
<meta name="twitter:creator" content="@bunny_tracking">
<meta name="twitter:title" content="Easter Bunny Tracker">
<meta name="twitter:description" content="Track the Easter Bunny with live updates on a moving map with our Easter Bunny Tracker as he delivers baskets and eggs to homes around the world!">
<meta name="twitter:card" content="summary">
<meta name="twitter:url" content="https://track.easterbunny.cc/">

<link rel="apple-touch-icon" sizes="57x57" href="/assets/icons/apple-touch-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="/assets/icons/apple-touch-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="/assets/icons/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="/assets/icons/apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="/assets/icons/apple-touch-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="/assets/icons/apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="/assets/icons/apple-touch-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="/assets/icons/apple-touch-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="/assets/icons/apple-touch-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="/assets/icons/android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="/assets/icons/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="/assets/icons/favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="/assets/icons/favicon-16x16.png">
<link rel="manifest" href="/assets/manifests/manifest.json">
<link rel="shortcut icon" href="/assets/icons/favicon.ico">
<meta name="msapplication-TileColor" content="#2b5797">
<meta name="msapplication-TileImage" content="/assets/icons/mstile-144x144.png">
<meta name="msapplication-config" content="/assets/manifests/browserconfig.xml">
<meta name="theme-color" content="#ffffff">

<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Google+Sans" crossorigin="anonymous">
<link rel="stylesheet" href="https://unpkg.com/bootstrap-material-design@4.1.1/dist/css/bootstrap-material-design.min.css" integrity="sha384-wXznGJNEXNG1NFsbm0ugrLFMQPWswR3lds2VeinahP8N0zJw9VWSopbjv2x7WCvX" crossorigin="anonymous">
<link rel="stylesheet" href="/assets/stylesheets/linkwrapper.css" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/bowser/1.9.4/bowser.min.js" integrity="sha256-tS9rYBF0HnbO+ivkEWS7ybM7ujNLmtFbA6utN7YJ2YM=" crossorigin="anonymous"></script>

<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0"/>

<noscript>
  <META HTTP-EQUIV="Refresh" CONTENT="0;URL=/jsdisabled/">
</noscript>

<title>You have an incompatible browser</title>
</head>

<style>
  body {
    font-family: 'Roboto'
  }
</style>

<body>
<div class="container">
  <div class="row">
    <div class="col" style="padding: 2em">
      <p class="lead">Your browser is incompatible with track.easterbunny.cc!</p>
      <hr>
      <p>Hi! Thanks for visiting track.easterbunny.cc. Unfortunately, we've detected that your browser is incompatible with our tracker. If we were to let you go through to the tracker, you'd experience a very broken mess that wouldn't work. Please consider upgrading your browser to use the tracker. A non-exhaustive list of compatible browsers is below.</p>
        <b>Desktops:</b>
        <ul>
          <li>Chrome ~35 or higher</li>
          <li>Firefox ~32 or higher</li>
          <li>Internet Explorer 11</li>
          <li>Microsoft Edge</li>
          <li>Opera ~20 or higher</li>
          <li>Safari 8 or higher (OS X 10.10 Yosemite or higher)</li>
        </ul>
        <b>Mobile devices:</b>
        <ul>
          <li>Chrome ~41 or higher</li>
          <li>Firefox for Android ~40 or higher</li>
          <li>All versions of Firefox for iOS</li>
          <li>Safari 8 or higher (iOS 8 or higher), iOS 7 may work.</li>
          <li>Samsung Internet for Android ~6 or higher</li>
          <li>Opera ~20 or higher</li>
          <li>Built-in browser on Android 5.0 or higher</li>
        </ul>
        <br>
        This is the browser, OS, and device type that we've detected you are running: <br>
        <b>Browser: </b><span id="browser">Loading...</span><br> 
        <b>OS: </b><span id="osname">Loading...</span><br>
        <b>Device type: </b><span id="devicetype"></span>
        <span id="macos-warn" hidden><br><b>Note: </b>If you are using an iPad, the OS field may appear as macOS 10.15. If you send technical details, replace this with the OS that you're running (usually iPadOS 13 or iOS 12).</span>
        <br>
        <br>
        If the browser and/or OS listed is incorrect, please email our support address: support (at) easterbunny (dot) cc <br><br>
        In the email, please include details on your browser & browser version, system, OS & OS version, etc. The more info we receive, the higher chance we'll have to fix the bug.
        <br>
        <br>
        In the mean time, if your device can access YouTube, you can watch the tracker being live streamed by eastmountainfilms, the lead developer of the tracker.
        You can click this link to visit the channel: <a class="linkwrap" href="https://youtube.com/eastmountainfilms" target="_blank" rel="noopener">https://youtube.com/eastmountainfilms</a>.<br><br>
        There are also many other streams on YouTube that will be streaming track.easterbunny.cc. You can do a search for "2020 easter bunny tracker live stream" to find one that you like. <br><br>
        We will also be Tweeting out updates every half-hour or so on the Easter Bunny's journey using our @bunny_tracking twitter, the link for which is in the footer. <br>
        We have another twitter, @bunny_updates, which will tweet out updates for every stop that the Easter Bunny makes. The link for this twitter is also in the footer.
        <br><br>
        Again, thank you for your interest in track.easterbunny.cc. We hope to provide a basic mode for current incompatible browsers in the 2021 run of the tracker.
        <hr>
        v4.5.4 · &copy; 2020 track.easterbunny.cc<br>
        <a href="/faq/" rel="noopener">FAQs</a> · <a href="/news/" rel="noopener">News</a> · <a href="/privacy/" rel="noopener">Privacy</a> · <a href="/acknowledgements/" rel="noopener">Acknowledgements</a> · <a href="/license" rel="noopener">License</a> · <a href="https://gitlab.com/track-easterbunny-cc/tebcc" rel="noopener" target="_blank">Source Code</a><br><br>
        track.easterbunny.cc is free & open source software: you can redistribute it and/or modify it under the terms of the GNU AGPL license, v3 or later.
        <br><br>
        Follow us on Twitter: <a href="https://twitter.com/bunny_tracking" rel="noopener" target="_blank">@bunny_tracking</a><br>
        Follow the Easter Bunny's journey on Twitter: <a href="https://twitter.com/bunny_updates" rel="noopener" target="_blank">@bunny_updates</a>
      <br>
    </div>
  </div>
</div>
</body>
</html>

<script>
  var browser_name = bowser.name
  var version = bowser.version
  var os = bowser.osname
  var osver = bowser.osversion

  var desktop_flag;
  var mobile_flag;
  var tablet_flag;

  try {
    mobile_flag = bowser.mobile
    tablet_flag = bowser.tablet
  } catch (e) {
    mobile_flag = false;
    tablet_flag = false;
    desktop_flag = false;
  }

  var full_os = os + " " + osver

  if (browser_name == undefined) {
    document.getElementById("browser").innerHTML = "Unknown Browser"
  } else if (version == undefined) {
    document.getElementById("browser").innerHTML = browser_name
  } else {
    document.getElementById("browser").innerHTML = browser_name + " " + version
  }
  
  if (os == undefined) {
    document.getElementById("osname").innerHTML = "Unknown OS"
  } else if (osver == undefined) {
    document.getElementById("osname").innerHTML = os
  } else {
    document.getElementById("osname").innerHTML = os + " " + osver
  }

  if (mobile_flag == true) {
    document.getElementById("devicetype").innerHTML = "Mobile"
  } else if (tablet_flag == true) {
    document.getElementById("devicetype").innerHTML = "Tablet"
  } else if (desktop_flag == false) {
    document.getElementById("devicetype").innerHTML = "Unknown"
  } else {
    document.getElementById("devicetype").innerHTML = "Desktop"
  }

  if (full_os == "macOS 10.15") {
    document.getElementById("macos-warn").hidden = false
  }
</script>